• Demos
    • JavaScript Charts
    • JavaScript StockCharts
  • Download/NPM
    • Download CanvasJS
    • Install via NPM
  • Integrations
    Front End Technology Samples
    • React Charts
    • Angular Charts
    • Vue.js Charts New!
    • jQuery Charts
    • Dashboards
    Server Side Technology Samples
    • PHP Charts
    • Python Charts New!
    • ASP.NET MVC Charts
    • Spring MVC Charts
    • JSP Charts
  • License
  • Blog
  • Docs
    • Chart Documentation
    • StockChart Documentation
  • Support Forum
    • Chart Support
    • StockChart Support
  • My Account
My Account
  • KEY FEATURES
    • Chart with Index / Data Label
    • Chart with Zooming & Panning
    • Multi Series Chart
    • Chart with Multiple Axes
    • Combination Charts
    • Chart with Animation
    • Chart with Logarithmic Axis
    • Dynamic Chart
    • Chart with Data from AJAX
    • Drilldown Chart
    • Responsive Chart
    • Synchronized Charts
  • LINE CHARTS
    • Line Chart with Date-Time Axis
    • Dashed Line Chart
    • Multi Series Line Chart
    • Spline Chart
    • Multi Series Spline Chart
    • Step Line Chart
    • Multi Series Step Line Chart
  • BAR CHARTS
    • Bar Chart with Category Axis
    • Multi Series Bar Chart
    • Stacked Bar Chart
    • Stacked Bar 100% Chart
    • Stacked Bar 100% Chart with Indexlabels
  • COLUMN CHARTS
    • Column Chart with Numeric Axis
    • Multi Series Column Chart
    • Stacked Column Chart
    • Stacked Column 100% Chart
    • Stacked Column 100% Chart with Indexlabel
    • Waterfall Chart
    • Waterfall Chart with Indexlabels
    • Multi Series Waterfall Chart
  • PIE & DOUGHNUT CHARTS
    • Pie Chart with Index Labels
    • Pie Chart in Dark Theme
    • Doughnut Chart with Index Labels
    • Doughnut Chart in Dark Theme
  • AREA CHARTS
    • Area Chart with Indexlabels
    • Multi Series Area Chart
    • Spline Area Chart
    • Multi Series Spline Area Chart
    • Step Area Chart
    • Stacked Area Chart
    • Stacked Area 100% Chart
  • RANGE CHARTS
    • Range Column Chart
    • Multi Series Range Column Chart
    • Range Bar Chart
    • Multi Series Range Bar Chart
    • Range Area Chart
    • Multi Series Range Area Chart
    • Range Spline Area Chart
    • Multi Series Range Spline Area Chart
  • BUBBLE & SCATTER CHARTS
    • Bubble Chart with Indexlabels
    • Bubble Chart with 3 Dimensional Data
    • Multi Series Scatter Chart
  • FUNNEL & PYRAMID CHARTS
    • Funnel Chart with Index Labels
    • Funnel Chart without Neck
    • Pyramid Chart with Index Labels
  • FINANCIAL CHARTS
    • Candlestick Chart
    • Multi Series Candlestick Chart
    • OHLC Chart
    • OHLC Chart from JSON data
    • Box & Whisker Chart
  • COMBINATION CHARTS
    • Error Bar Chart
    • Pareto Chart
    • Range Area & Line Chart
    • Candlestick & Line Chart
    • OHLC Chart with Trend
  • DYNAMIC CHARTS
    • Dynamic / Live Line Chart
    • Dynamic / Live Column Chart
    • Dynamic / Live Multi Series Chart
  • STOCKCHARTS
    • StockChart with Numeric Axis
    • StockChart with Date-Time Axis
    • StockChart with Navigator & Range Selector
  • JAVASCRIPT, REACT, VUE.JS, JQUERY
    • JavaScript Charts
    • React Charts
    • Vue.js Charts
    • jQuery Charts
  • SERVER SIDE TECHNOLOGIES
    • ASP.NET MVC Charts
    • JSP Charts
    • PHP Charts
    • Python Charts
    • Spring MVC Charts

Angular Multi Series Range Bar Chart

Download Angular Chart Samples
  • Angular Chart Samples
  • JavaScript Chart Samples
  • React Chart Samples
  • Vue.js Chart Samples
  • jQuery Chart Samples
  • PHP Chart Samples
  • Python Django Chart Samples
  • ASP.NET Chart Samples
  • JSP Chart Samples
  • Spring MVC Chart Samples
  • Dashboard Samples
  • JavaScript StockChart Samples

Example shows Angular Multi Series Range Bar Chart where each datapoints of different dataseries are placed next to each other. Multi Series Range Bar chart can be used to compare similar range of values across different series.

  • Component Code
  • HTML Code
import { Component } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterOutlet } from '@angular/router';

import { CanvasJSAngularChartsModule } from '@canvasjs/angular-charts';

@Component({
    selector: 'app-root',
    templateUrl: './app.component.html',
    standalone: true,
    imports: [CommonModule, RouterOutlet, CanvasJSAngularChartsModule]
})
	
export class AppComponent {
    chartOptions = {
        animationEnabled: true,
        theme: "light1",
        exportEnabled: true,
        title: {
            text: "Average Temparature Comparsion"
        },
        axisY: {
            title: "Temperature (°C)",
            suffix: " °C"
        },
        toolTip: {
            shared: true,
        },
        data: [{
            type: "rangeBar",
            showInLegend: true,
            yValueFormatString: "#.00°C",
            name: "California",
            color: "#F57C00",
            indexLabel: "{y[#index]}",
            toolTipContent: "{label}{name}:MIN:{y[0]}, MAX:{y[1]}",
            dataPoints: [
                { y: [-13.60086075, 36.89945], label: "1979" },
                { y: [-13.37094904, 38.41296667], label: "1980" },
                { y: [-11.69145833, 38.10635833], label: "1981" },
                { y: [-15.2154825, 35.93550833], label: "1982" },
                { y: [-11.922074, 37.152325], label: "1983" }
            ]
        }, {
            type: "rangeBar",
            showInLegend: true,
            yValueFormatString: "#.00°C",
            name: "Texas",
            color: "#FBC02D",
            indexLabel: "{y[#index]}",
            toolTipContent: "{name}: MIN:{y[0]}, MAX:{y[1]}",
            dataPoints: [
                { y: [-4.238106667, 36.84065], label: "1979" },
                { y: [-2.918750833, 38.03693333], label: "1980" },
                { y: [-1.542025083, 37.14540833], label: "1981" },
                { y: [-4.330412333, 37.831475], label: "1982" },
                { y: [-4.681096558, 37.37269167], label: "1983" }
            ]
        }]
    }
}                              
<div>
    <canvasjs-chart [options]="chartOptions" [styles]="{width: '100%', height:'360px'}"></canvasjs-chart>    
</div>                        

Chart Customizations

In the example above, shared property of tooltip is set to true. You can format the y values in tooltip using yValueFormatString property. Other customization options include toolTipContent, contentFormatter, legendText, etc.

Note   For step by step instructions, follow our Angular Integration Tutorial

Quick Links

  • Chart Docs
  • StockChart Docs
  • About Us
  • FAQs

Server Side Technologies

  • ASP.NET MVC Charts
  • PHP Charts
  • JSP Charts
  • Spring MVC Charts

Front Side Technologies

  • JavaScript Charts
  • jQuery Charts
  • React Charts
  • Angular Charts
  • JavaScript StockCharts

Contact

  • Fenopix, Inc.
  • 2093 Philadelphia Pike,
  • #5678, Claymont,
  • Delaware 19703
  • United States Of America

©2026 Fenopix Privacy Policy Cookies Policy Careers

• Demos
    • JavaScript Charts
    • JavaScript StockCharts
  • Download/NPM
    • Download CanvasJS
    • Install via NPM
  • Integrations
    Front End Technology Samples
    • React Charts
    • Angular Charts
    • Vue.js Charts New!
    • jQuery Charts
    • Dashboards
    Server Side Technology Samples
    • PHP Charts
    • Python Charts New!
    • ASP.NET MVC Charts
    • Spring MVC Charts
    • JSP Charts
  • License
  • Blog
  • Docs
    • Chart Documentation
    • StockChart Documentation
  • Support Forum
    • Chart Support
    • StockChart Support
  • My Account
My Account
  • KEY FEATURES
    • Chart with Index / Data Label
    • Chart with Zooming / Panning
    • Chart using JSON Data
    • Chart with Animation
    • Multi Series Chart
    • Chart with Multiple Axes
    • Chart with Crosshair
    • Chart with Scale Breaks
    • Chart with Logarithmic Axis
    • Performance with 50,000 Data Points
    • Responsive Charts
    • Chart with Drilldown
  • LINE CHARTS
    • Line Chart with Formatted Axes Labels
    • Dashed Line Chart
    • Multi Series Line Chart
    • Spline Chart
    • Multi Series Spline Chart
    • Step Line Chart
    • Multi Series Step Line Chart
  • BAR CHARTS
    • Bar Chart with Category Axis
    • Multi Series Bar Chart
    • Stacked Bar Chart
    • Stacked Bar 100% Chart
    • Stacked Bar 100% Chart with Indexlabel
  • COLUMN CHARTS
    • Column Chart with Category Axis
    • Multi Series Column Chart
    • Stacked Column Chart
    • Stacked Column 100% Chart
    • Stacked Column 100% Chart with Indexlabel
    • Waterfall Chart
    • Waterfall Chart with Indexlabel
  • AREA CHARTS
    • Area Chart with Date-Time Axis
    • Multi Series Area Chart
    • Spline Area Chart
    • Multi Series Spline Area Chart
    • Step Area Chart
    • Stacked Area Chart
    • Stacked Area 100% Chart
  • RANGE CHARTS
    • Range Column Chart
    • Multi Series Range Column Chart
    • Range Bar Chart
    • Multi Series Range Bar Chart
    • Range Area Chart
    • Multi Series Range Area Chart
    • Range Spline Area Chart
    • Multi Series Range Spline Area Chart
  • PIE & DOUGHNUT CHARTS
    • Pie Chart with Indexlabels
    • Pie Chart with Index Labels Placed Inside
    • Doughnut Chart
    • Doughnut Chart in Dark Theme
  • FUNNEL & PYRAMID CHARTS
    • Funnel Chart
    • Funnel Chart with Custom Neck
    • Pyramid Chart
  • FINANCIAL CHARTS
    • Candlestick Chart
    • Candlestick Chart from JSON
    • OHLC Chart
    • OHLC with Trendline
    • Box and Whisker Chart
    • Box and Whisker Chart with Customization
  • BUBBLE & SCATTER CHARTS
    • Scatter Chart
    • Scatter Chart with Custom Markers
    • Bubble Chart
  • COMBINATION CHARTS
    • Error chart
    • Error Line Chart
    • Pareto Chart
    • Combination of Column, Line and Area Chart
  • DYNAMIC CHARTS
    • Dynamic Line Chart
    • Dynamic Column Chart
    • Dynamic Multi Series Chart
  • STOCKCHARTS
    • StockChart with Numeric Axis
    • StockChart with Date-Time Axis
    • StockChart with SplineArea & Range Selector
  • ANGULAR, VUE.JS, JAVASCRIPT, JQUERY
    • Angular Charts
    • Vue.js Charts
    • jQuery Charts
    • JavaScript Charts
  • SERVER SIDE TECHNOLOGIES
    • ASP.NET MVC Charts
    • PHP Charts
    • Python Charts
    • JSP Charts
    • Spring MVC Charts

React Multi Series Range Bar Charts & Graphs

Download React Chart Samples
  • React Chart Samples
  • JavaScript Chart Samples
  • Angular Chart Samples
  • Vue.js Chart Samples
  • jQuery Chart Samples
  • PHP Chart Samples
  • Python Django Chart Samples
  • ASP.NET Chart Samples
  • JSP Chart Samples
  • Spring MVC Chart Samples
  • Dashboard Samples
  • JavaScript StockChart Samples

Example shows React Multi Series Range Bar Chart where datapoints of different dataseries are placed next to each other. Multi Series Range Bar chart can be used to compare similar range of values across different series.

  • Tab1
[React Code]
/* App.js */
import React, { Component } from 'react';
import CanvasJSReact from '@canvasjs/react-charts';
//var CanvasJSReact = require('@canvasjs/react-charts');

var CanvasJS = CanvasJSReact.CanvasJS;
var CanvasJSChart = CanvasJSReact.CanvasJSChart;

class App extends Component {
    render() {
        const options = {
            animationEnabled: true,
            theme: "light2",
            title: {
                text: "Average Temparature Comparsion"
            },
            axisY: {
                title: "Temperature (°C)",
                suffix: " °C"
            },
            toolTip: {
                shared: true,
            },
            data: [{
                type: "rangeBar",
                showInLegend: true,
                yValueFormatString: "#.00°C",
                name: "California",
                color: "#F57C00",
                indexLabel: "{y[#index]}",
                toolTipContent: "{label}{name}:MIN:{y[0]}, MAX:{y[1]}",
                dataPoints: [
                    { y: [-13.60086075, 36.89945], label: "1979" },
                    { y: [-13.37094904, 38.41296667], label: "1980" },
                    { y: [-11.69145833, 38.10635833], label: "1981" },
                    { y: [-15.2154825, 35.93550833], label: "1982" },
                    { y: [-11.922074, 37.152325], label: "1983" }
                ]
            }, {
                type: "rangeBar",
                showInLegend: true,
                yValueFormatString: "#.00°C",
                name: "Texas",
                color: "#FBC02D",
                indexLabel: "{y[#index]}",
                toolTipContent: "{name}: MIN:{y[0]}, MAX:{y[1]}",
                dataPoints: [
                    { y: [-4.238106667, 36.84065], label: "1979" },
                    { y: [-2.918750833, 38.03693333], label: "1980" },
                    { y: [-1.542025083, 37.14540833], label: "1981" },
                    { y: [-4.330412333, 37.831475], label: "1982" },
                    { y: [-4.681096558, 37.37269167], label: "1983" }
                ]
            }]
        };

        return (
            <div>
                <CanvasJSChart options={options}
                /* onRef={ref => this.chart = ref} */
                />
                {/*You can get reference to the chart instance as shown above using onRef. This allows you to access all chart properties and methods*/}
            </div >
        );
    }
}
export default App;                              

Chart Customizations

You can also enable legend for dataseries by setting showInLegend to true. legendText property can be used to customize the text shown in the legend. Other commonly used customization options include shared tooltip, color, etc.

Note   For step by step instructions, follow our React Integration Tutorial

Quick Links

  • Chart Docs
  • StockChart Docs
  • About Us
  • FAQs

Server Side Technologies

  • ASP.NET MVC Charts
  • PHP Charts
  • JSP Charts
  • Spring MVC Charts

Front Side Technologies

  • JavaScript Charts
  • jQuery Charts
  • React Charts
  • Angular Charts
  • JavaScript StockCharts

Contact

  • Fenopix, Inc.
  • 2093 Philadelphia Pike,
  • #5678, Claymont,
  • Delaware 19703
  • United States Of America

©2026 Fenopix Privacy Policy Cookies Policy Careers

• Demos
    • JavaScript Charts
    • JavaScript StockCharts
  • Download/NPM
    • Download CanvasJS
    • Install via NPM
  • Integrations
    Front End Technology Samples
    • React Charts
    • Angular Charts
    • Vue.js Charts New!
    • jQuery Charts
    • Dashboards
    Server Side Technology Samples
    • PHP Charts
    • Python Charts New!
    • ASP.NET MVC Charts
    • Spring MVC Charts
    • JSP Charts
  • License
  • Blog
  • Docs
    • Chart Documentation
    • StockChart Documentation
  • Support Forum
    • Chart Support
    • StockChart Support
  • My Account
My Account
  • KEY FEATURES
    • Basic Chart
    • Chart with Animation
    • Chart with Zooming/Panning
    • Multi Series Chart
    • Chart with Multiple Axes
    • Chart with Logarithmic Axis
    • Chart with JSON Data
    • Dynamic Chart
    • Drilldown Chart
    • Responsive Chart
    • Synchronized Charts
  • LINE CHARTS
    • Line Chart
    • Dashed Line Chart
    • Multi Series Line Chart
    • Spline Chart
    • Multi Series Spline Chart
    • Step Line Chart
    • Multi Series Step Line Chart
  • BAR CHARTS
    • Bar Chart with Category Axis
    • Multi Series Bar Chart
    • Stacked Bar Chart
    • Stacked Bar 100% Chart
  • COLUMN CHARTS
    • Column Chart with Category Axis
    • Column Chart in Dark Theme
    • Multi Series Column Chart
    • Stacked Column Chart
    • Stacked Column 100% Chart
    • Stacked Column 100% Chart with IndexLabel
  • PIE & DOUGHNUT CHARTS
    • Pie Chart
    • Doughnut Chart
    • Doughnut Chart in Dark Theme
  • AREA CHARTS
    • Area Chart with Category Axis
    • Multi Series Area Chart
    • Spline Area Chart
    • Multi Series Spline Area Chart
    • Step Area Chart
    • Stacked Area Chart
    • Stacked Area 100% Chart
  • RANGE CHARTS
    • Range Column Chart
    • Multi Series Range Column Chart
    • Range Bar Chart
    • Multi Series Range Bar Chart
    • Range Area Chart
    • Multi Series Range Area Chart
    • Range Spline Area Chart
    • Multi Series Range Spline Area Chart
  • BUBBLE & SCATTER CHARTS
    • Bubble Chart with 3-Dimensional Data
    • Bubble Chart in Dark Theme
    • Scatter Chart
  • FUNNEL & PYRAMID CHARTS
    • Funnel Chart with Index Labels
    • Funnel Chart with Custom Neck Length
    • Pyramid Chart
  • FINANCIAL CHARTS
    • Candlestick Chart
    • Multi Series Candlestick Chart
    • OHLC Chart
    • OHLC Chart from JSON Data
    • Box & Whisker Chart
    • Waterfall Chart
  • COMBINATION CHARTS
    • Pareto Chart
    • Error Line Chart
    • Combination of Range Area & Line Chart
    • Combination of Candlestick & Line chart
  • DYNAMIC CHARTS
    • Dynamic Line Chart
    • Dynamic Column Chart
    • Dynamic Multi Series Chart
  • STOCKCHARTS
    • StockChart with Numeric Axis
    • StockChart with Date-Time Axis
    • StockChart with Navigator & Range Selector
  • JAVASCRIPT, JQUERY, REACT, ANGULAR
    • JavaScript Charts
    • jQuery Charts
    • React Charts
    • Angular Charts
  • SERVER SIDE TECHNOLOGIES
    • ASP.NET MVC Charts
    • JSP Charts
    • PHP Charts
    • Python Charts
    • Spring MVC Charts

Vue.js Multi Series Range Bar Chart

Download Vue.js Chart Samples
  • Vue.js Chart Samples
  • JavaScript Chart Samples
  • React Chart Samples
  • Angular Chart Samples
  • jQuery Chart Samples
  • PHP Chart Samples
  • Python Django Chart Samples
  • ASP.NET Chart Samples
  • JSP Chart Samples
  • Spring MVC Chart Samples
  • Dashboard Samples
  • JavaScript StockChart Samples

Example shows Vuejs multi series range bar chart with legends. Legends helps in identifying each dataseries in multi-series chart.

  • Component
  • Main
/* App.vue */
<script>
  export default {
    data() {
      return {
        options: {
          animationEnabled: true,
          exportEnabled: true,
          theme: "dark2",
          title: {
            text: "Average Temperature Comparison"
          },
          axisX: {
            valueFormatString: "MMM"
          },
          axisY: {
            title: "Temperature (°C)",
            suffix: "°C"
          }, 
          toolTip: {
            shared: true,
          },
          legend: {
            verticalAlign: "top",
            cursor:"pointer",
            itemclick : this.toggleDataSeries
          },
          data: [{
            type: "rangeBar",
            showInLegend: true,
            yValueFormatString: "#0.#°C",
            xValueFormatString: "MMM YYYY",
            name: "New Delhi",
            toolTipContent: "<b>{x}</b><br/> <span style='\"'color: {color};'\"'>{name}</span>: Min:{y[0]}, Max:{y[1]}",
            dataPoints: [
              { x: new Date(2019, 0, 1), y: [4.05551, 27.2805] },
              { x: new Date(2019, 1, 1), y: [7.04101, 27.9682] },
              { x: new Date(2019, 2, 1), y: [8.80941, 38.6481] },
              { x: new Date(2019, 3, 1), y: [14.9049, 44.027] },
              { x: new Date(2019, 4, 1), y: [21.5617, 45.3777] },
              { x: new Date(2019, 5, 1), y: [23.265, 46.1679] },
              { x: new Date(2019, 6, 1), y: [24.4436, 41.8449] },
              { x: new Date(2019, 7, 1), y: [24.605, 36.5823] },
              { x: new Date(2019, 8, 1), y: [23.2338, 39.1145] },
              { x: new Date(2019, 9, 1), y: [17.0104, 36.1847] },
              { x: new Date(2019, 10, 1), y: [12.1876, 33.7592] },
              { x: new Date(2019, 11, 1), y: [2.30859, 24.4579] }
            ]
          }, {
            type: "rangeBar",
            showInLegend: true,
            yValueFormatString: "#0.#°C",
            xValueFormatString: "MMM YYYY",
            name: "Hyderabad",
            toolTipContent: "<span style='\"'color: {color};'\"'>{name}</span>: Min:{y[0]}, Max:{y[1]}",
            dataPoints: [
              { x: new Date(2019, 0, 1), y: [9.90148, 30.2263] },
              { x: new Date(2019, 1, 1), y: [14.3742, 36.1895] },
              { x: new Date(2019, 2, 1), y: [18.8242, 38.9956] },
              { x: new Date(2019, 3, 1), y: [23.495, 40.4843] },
              { x: new Date(2019, 4, 1), y: [25.5003, 41.6375] },
              { x: new Date(2019, 5, 1), y: [23.1254, 41.0132] },
              { x: new Date(2019, 6, 1), y: [22.4706, 33.5551] },
              { x: new Date(2019, 7, 1), y: [22.0591, 32.9423] },
              { x: new Date(2019, 8, 1), y: [22.4012, 31.6411] },
              { x: new Date(2019, 9, 1), y: [21.1766, 31.318] },
              { x: new Date(2019, 10, 1), y: [16.8637, 30.9155] },
              { x: new Date(2019, 11, 1), y: [15.8416, 29.1585] }
            ]
          }]
        },
        styleOptions: {
          width: "100%",
          height: "360px"
        }
      }
    },
    methods: {
      toggleDataSeries(e) {
        if (typeof (e.dataSeries.visible) === "undefined" || e.dataSeries.visible) {
          e.dataSeries.visible = false;
        }
        else {
          e.dataSeries.visible = true;
        }
        e.chart.render();
      }
    }
  }
</script>
  
<template>
    <CanvasJSChart :options="options" :style="styleOptions" />
</template>                              
/*main.js*/
import { createApp } from 'vue'
import App from './App.vue'

import CanvasJSChart from '@canvasjs/vue-charts';

const app = createApp(App);
app.use(CanvasJSChart); // install the CanvasJS Vuejs Chart Plugin
app.mount('#app');                        

Chart Customizations

You can also enable legend for dataseries by setting showInLegend to true. legendText property can be used to customize the text shown in the legend. Other commonly used customization options include shared tooltip, color, etc.

Note   For step by step instructions, follow our Vuejs Integration Tutorial

Quick Links

  • Chart Docs
  • StockChart Docs
  • About Us
  • FAQs

Server Side Technologies

  • ASP.NET MVC Charts
  • PHP Charts
  • JSP Charts
  • Spring MVC Charts

Front Side Technologies

  • JavaScript Charts
  • jQuery Charts
  • React Charts
  • Angular Charts
  • JavaScript StockCharts

Contact

  • Fenopix, Inc.
  • 2093 Philadelphia Pike,
  • #5678, Claymont,
  • Delaware 19703
  • United States Of America

©2026 Fenopix Privacy Policy Cookies Policy Careers